petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetColumnIJ

Returns the compressed column storage i and j indices for sequential matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetColumnIJ(Mat mat,PetscInt shift,PetscBool symmetric,PetscBool inodecompressed,PetscInt *n,const PetscInt *ia[],const PetscInt *ja[],PetscBool  *done)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| shift | - 1 or zero indicating we want the indices starting at 0 or 1 Many br
| symmetric | - PETSC_TRUE or PETSC_FALSE indicating the matrix data structure should be Many brsymmetrized Many br
| inodecompressed | - PETSC_TRUE or PETSC_FALSE indicating if the nonzero structure of the Many brinodes or the nonzero elements is wanted. For BAIJ matrices the compressed version is Many bralways used. Many br
| n | - number of columns in the (possibly compressed) matrix Many br
| ia | - the column pointers Many br
| ja | - the row indices Many br

### Output Parameters

done -PETSC_TRUE or PETSC_FALSE, indicating whether the values have been returned Many br

### Note

This routine zeros out n, ia, and ja. This is to prevent accidental Many brus of the array after it has been restored. If you pass NULL, it will Many brnot zero the pointers. Use of ia or ja after MatRestoreColumnIJ() is invalid. Many br

Many br

### See Also

MatGetRowIJ(), MatRestoreColumnIJ()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages